Bug 386588 - Change volume on scroll.
Summary: Change volume on scroll.
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Media Player (show other bugs)
Version: 5.11.2
Platform: Neon Packages Linux
: NOR wishlist
Target Milestone: 1.0
Assignee: Kai Uwe Broulik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-06 15:13 UTC by Sefa Eyeoglu
Modified: 2018-05-13 20:52 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:
kde: Usability?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sefa Eyeoglu 2017-11-06 15:13:03 UTC
There should be a way to change a media player's volume, without accessing it.
I know this feature from the app indicator of the volume manager and it would be matching to have it on the media player control, too.
Comment 1 Kai Uwe Broulik 2017-11-06 15:16:27 UTC
I was actually considering to add it, given we even have a (so far unused) OSD specifically for that.
Comment 2 Radek Hušek 2018-04-03 18:25:34 UTC
Git commit bd5619e0155a4977bb891c1f01218847cab2ef1b by Radek Hušek.
Committed on 03/04/2018 at 18:24.
Pushed by husek into branch 'master'.

[Media controller] Add simple volume control

Summary:
Add simple volume control to Media Controller applet. Volume can by changed by:

- mouse wheel on applet icon (3 % step), and
- new global shortcuts (5 % step, unbound by default).

There is no mute support currently (mpris interface does not have a mute method so we would have to keep
track of old volume).

Test Plan: Tested in daily use with Cantata and SMPlayer. There is no UI change.

Reviewers: #plasma, broulik

Reviewed By: #plasma, broulik

Subscribers: broulik, nicolasfella, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D11021

M  +9    -0    applets/mediacontroller/contents/ui/main.qml
M  +8    -0    dataengines/mpris2/mpris2.operations
M  +22   -0    dataengines/mpris2/multiplexedservice.cpp
M  +20   -0    dataengines/mpris2/playeractionjob.cpp
M  +26   -0    dataengines/mpris2/playercontrol.cpp
M  +2    -0    dataengines/mpris2/playercontrol.h

https://commits.kde.org/plasma-workspace/bd5619e0155a4977bb891c1f01218847cab2ef1b